#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import sys
import swfileIO.ml_abn as ml_abn

if len(sys.argv) < 3:
    print("provide input and output filenames")
if len(sys.argv) > 3:
    elnames = []
    for i in range(len(sys.argv)-3):
        elnames.append(sys.argv[i+3])
else:
    elnames = None

mobj = ml_abn.ml_abn(".",filetype="none")
mobj.read_MLIP_cfg(sys.argv[1],atom_types=elnames)
geos = mobj.get_geos(stress_format="matrix")
if len(geos)==1:
    geos[0].convert_cell_to_lammps()
    geos[0].write_file(sys.argv[2],filetype="lmp_atomic")
else:
    for gid,geo in enumerate(geos):
        geos[gid].convert_cell_to_lammps()
        geos[gid].write_file(sys.argv[2]+"-%03d"%(gid),filetype="lmp_atomic")

