#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import numpy as np
import matplotlib.pyplot as plt
import os
import util

os.system("grep STATUS ML_LOGFILE > STATUS.dat")
data = np.genfromtxt("STATUS.dat", dtype=None, encoding=None)

t2 = []
doabin = []

for line in data:
    t2.append(line[1])
    doabin.append(line[4])

t2 = np.array(t2)
doabin = np.array(doabin)


pltstyle="~/ez-grp_style.mplstyle"
plt.style.use(pltstyle)
bin_doabin = doabin == "T"
cum_doabin = np.cumsum(bin_doabin)
rest = np.array(range(len(doabin)))+1 - cum_doabin

print("total number of DFT steps:")
print(cum_doabin[-1])
print("total number of FF steps:")
print(rest[-1])

plt.plot(t2,cum_doabin/rest)
plt.xlabel("Time step")
plt.ylabel("DFT/FF ratio")
plt.ylim([0,1])
plt.tight_layout()
plt.savefig("DFT_FF_steps.png")
plt.show()

