#!/usr/bin/env python3

import numpy as np
import matplotlib.pyplot as plt
import os
import util
import sys

os.system("grep BEEF ML_LOGFILE > BEEF.temp")
# this is to fix some bad output in the ML_LOGFILE for extremely small values.
for i in range(10):
    os.system("sed s/"+str(i)+"-/"+str(i)+"E-/g BEEF.temp > BEEF.dat")
    os.system("cp BEEF.dat BEEF.temp")
for i in range(10):
    os.system("sed s/"+str(i)+"+/"+str(i)+"E+/g BEEF.temp > BEEF.dat")
    os.system("cp BEEF.dat BEEF.temp")
os.system("rm BEEF.temp")
t1, beee, beef, beeaf, thresh, bees, beeas = np.loadtxt("BEEF.dat", 
                      usecols=[1,2,3,4,5,6,7], unpack=True)

pltstyle="~/ez-grp_style.mplstyle"
plt.style.use(pltstyle)

params = {'legend.fontsize': 12,
         'axes.labelsize': 12}
plt.rcParams.update(params)

T1 = float(sys.argv[1])
T2 = float(sys.argv[2])
ax = plt.gca()
ax2vals = t1*((T2-T1)/(max(t1)-min(t1)))



plt.plot(t1,thresh)
plt.xlabel("time step")
plt.ylabel("threshold criterion / eV/$\AA$")

ax2 = ax.twiny()
plt.sca(ax2)
plt.plot(ax2vals,thresh,alpha=0)
ax2.set_xlabel("temperature / K")




plt.tight_layout()
plt.savefig("threshold_T.png")
plt.show()