#!/usr/bin/env python3

import numpy as np
import matplotlib.pyplot as plt
import os
import util

os.system("grep BEEF ML_LOGFILE > BEEF.temp")
# this is to fix some bad output in the ML_LOGFILE for extremely small values.
for i in range(10):
    os.system("sed s/"+str(i)+"-/"+str(i)+"E-/g BEEF.temp > BEEF.dat")
    os.system("cp BEEF.dat BEEF.temp")
for i in range(10):
    os.system("sed s/"+str(i)+"+/"+str(i)+"E+/g BEEF.temp > BEEF.dat")
    os.system("cp BEEF.dat BEEF.temp")
os.system("rm BEEF.temp")
t1, beee, beef, beeaf, thresh, bees, beeas = np.loadtxt("BEEF.dat", 
                      usecols=[1,2,3,4,5,6,7], unpack=True)

pltstyle="~/ez-grp_style.mplstyle"
plt.style.use(pltstyle)

params = {'legend.fontsize': 12,
         'axes.labelsize': 12}
plt.rcParams.update(params)

f,axs = util.align_subplots(6)
axs = axs.ravel()



plt.sca(axs[0])
plt.plot(t1,beee)
plt.xlabel("Time step")
plt.ylabel("BE energy / eV/atom")

plt.sca(axs[1])
plt.plot(t1,beef)
plt.xlabel("Time step")
plt.ylabel("BE max force / eV/$\AA$")

plt.sca(axs[2])
plt.plot(t1,beeaf)
plt.xlabel("Time step")
plt.ylabel("BE ave force / eV/$\AA$")

plt.sca(axs[3])
plt.plot(t1,thresh)
plt.xlabel("Time step")
plt.ylabel("threshold criterion / eV/$\AA$")

plt.sca(axs[4])
plt.plot(t1,bees)
plt.xlabel("Time step")
plt.ylabel("BE max stress / kbar")

plt.sca(axs[5])
plt.plot(t1,beeas)
plt.xlabel("Time step")
plt.ylabel("BE ave stress / kbar")


plt.tight_layout()
plt.savefig("bayes_error.png")
plt.show()
