#!/usr/bin/env python3

import numpy as np
import matplotlib.pyplot as plt
import os
import util

os.system("grep ERR ML_LOGFILE > ERR.dat")
t2, en_err, f_err, stress_err = np.loadtxt("ERR.dat", 
                       usecols=[1,2,3,4], unpack=True)

pltstyle="~/ez-grp_style.mplstyle"
plt.style.use(pltstyle)

params = {'legend.fontsize': 12,
         'axes.labelsize': 12}
plt.rcParams.update(params)

f,axs = util.align_subplots(3)



plt.sca(axs[0,0])
plt.plot(t2,en_err)
plt.xlabel("Time step")
plt.ylabel("energy RMSE / eV/atom")

plt.sca(axs[0,1])
plt.plot(t2,f_err)
plt.xlabel("Time step")
plt.ylabel("forces RMSE / eV/$\AA$")

plt.sca(axs[1,0])
plt.plot(t2,f_err)
plt.xlabel("Time step")
plt.ylabel("stress RMSE / kbar")

f.delaxes(axs[1,1])

plt.tight_layout()
plt.savefig("sample_error.png")
plt.show()
