#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import matplotlib.pyplot as plt
import subprocess
import numpy as np



def get_md_temp():
    cmd = ["grep", "total pressure", "OUTCAR"]

    p = subprocess.Popen(cmd, stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
    strings, err = p.communicate()
    strings = strings.decode().split('\n')

    temps = []
    ekins = []
    for line in strings:
        elements = line.split()
        if len(elements) > 2:
            if (elements[0] == "total") & (elements[1] == "pressure"):

                temps.append(float(elements[3]))
        
    temps = np.array(temps)
    ekins = np.array(ekins)
    return temps, ekins
if __name__ == "__main__":
    temps,ekins = get_md_temp()
    
    cmd = "grep POTIM OUTCAR -m 1".split()
    p = subprocess.Popen(cmd, stdin=subprocess.PIPE, stdout=subprocess.PIPE, stderr=subprocess.PIPE)
    timestep_str, err = p.communicate()
    time_step = float(timestep_str.decode().split()[2])   # time step in fs




    plt.style.use("~/ez-grp_style.mplstyle")
    timea = np.array(range(len(temps)))*time_step
    plt.plot(timea,temps)
    plt.plot([min(timea),max(timea)],[np.mean(temps),np.mean(temps)],"k--")
    plt.xlabel("t / fs")
    plt.ylabel("pressure / kbar")
    plt.tight_layout()
    plt.savefig("mdpress.png")
    plt.show()


